Available in VPC
Download the connection information of the blockchain network organization MSP node as a JSON format file.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/networks/{networkId}/organizations/{mspId}/connection (Korea Region) |
| GET | /api/sgn-v1/networks/{networkId}/organizations/{mspId}/connection (Singapore Region) |
Request headers
For information about the headers common to all Blockchain Service APIs, see Blockchain Service request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
networkId |
Long | Required | Network ID
|
mspId |
String | Required | Organization MSP ID |
Request example
The following is a sample request.
curl --location --request GET 'https://blockchainservice.apigw.ntruss.com/api/v1/networks/{networkId}/organizations/{mspId}/connection' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
The following describes the response format.
Response body
The following describes the response body.
| Field | Type | Required | Description |
|---|---|---|---|
name |
String | - | Network name |
description |
String | - | Network detailed description |
version |
String | - | Network version information |
client.organization |
String | - | Organization MSP name |
channels |
Object | - | Channel details |
channels.{channelId} |
Object | - | Channel ID information |
channels.{channelId}.orderers |
Array[String] | - | Orderer URL information |
channels.{channelId}.peers |
Object | - | Channel peer information |
channels.{channelId}.peers.{peerURL} |
Object | - | Peer URL and property information |
channels.{channelId}.peers.{peerURL}.endorsingPeer |
Boolean | - | Endorsing peer status
|
channels.{channelId}.peers.{peerURL}.chaincodeQuery |
Boolean | - | Whether chaincode can be installed on peer
|
channels.{channelId}.peers.{peerURL}.ledgerQuery |
Boolean | - | Whether to query propose to peer
|
channels.{channelId}.peers.{peerURL}.eventSource |
Boolean | - | Whether the SDK's event listener can be targeted
|
channels.{channelId}.peers.{peerURL}.discover |
Boolean | - | Whether peers can be connected (discovered)
|
organizations |
Object | - | Organization details |
organizations.{mspId} |
Object | - | Organization MSP ID information |
organizations.{mspId}.mspid |
String | - | Organization MSP ID |
organizations.{mspId}.peers |
Array[String] | - | Organization peer address |
organizations.{mspId}.certificateAuthorities |
Array[String] | - | Organization peer CA authentication information |
orderers |
Object | - | Orderer information |
orderers.{ordererId} |
Object | - | Orderer URL address information |
orderers.{ordererId}.url |
String | - | Orderer URL address |
orderers.{ordererId}.tlsCACerts |
Object | - | Orderer TLS authentication information |
orderers.{ordererId}.tlsCACerts.pem |
String | - | Orderer TLS authentication PEM key |
peers |
Object | - | Peer information |
peers.{peerId} |
Object | - | Peer ID information |
peers.{peerId}.url |
String | - | Peer URL address |
peers.{peerId}.tlsCACerts |
Object | - | Peer TLS authentication information |
peers.{peerId}.tlsCACerts.pem |
String | - | Peer TLS authentication PEM key |
peers.{peerId}.grpcOptions |
Object | - | gRPC option information |
peers.{peerId}.grpcOptions.ssl-target-name-override |
String | - | Standard properties defined in the gRPC library
|
certificateAuthorities |
Object | - | CA details |
certificateAuthorities.{certId} |
Object | - | CA URL information |
certificateAuthorities.{certId}.url |
String | - | CA URL address |
certificateAuthorities.{certId}.tlsCACerts |
Object | - | CA TLS authentication information |
certificateAuthorities.{certId}.tlsCACerts.pem |
Array[String] | - | CA TLS authentication PEM key |
Response status codes
For response status codes common to all Blockchain Service APIs, see Common Blockchain Service response status codes.
Response example
The following is a sample example.
{
"name": "******-blockchain-test1",
"description": "Connection profile for Naver Cloud Blockchain Service. Network ID: 1630, MSP ID: test-msp",
"version": "1.0.0",
"client": {
"organization": "test-msp"
},
"channels": {
"test-channel": {
"orderers": [
"test-orderer1-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com:443"
],
"peers": {
"test-peer2-******-***-peer.bc-gryy4rew.kr.blockchain.naverncp.com:443": {
"endorsingPeer": true,
"chaincodeQuery": true,
"ledgerQuery": true,
"eventSource": true,
"discover": true
}
}
}
},
"organizations": {
"test-msp": {
"mspid": "test-msp",
"peers": [
"test-peer2-******-***-peer.bc-gryy4rew.kr.blockchain.naverncp.com:443"
],
"certificateAuthorities": [
"test-ca-******-***-ca.bc-gryy4rew.kr.blockchain.naverncp.com:443"
]
}
},
"orderers": {
"test-orderer1-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com:443": {
"url": "grpcs://test-orderer1-******-***-ord.bc-gryy4rew.kr.blockchain.naverncp.com:443",
"tlsCACerts": {
"pem": "{pem}"
}
}
},
"peers": {
"test-peer2-******-***-peer.bc-gryy4rew.kr.blockchain.naverncp.com:443": {
"url": "grpcs://test-peer2-******-***-peer.bc-gryy4rew.kr.blockchain.naverncp.com:443",
"tlsCACerts": {
"pem": "{pem}"
},
"grpcOptions": {
"ssl-target-name-override": "test-peer2-******-***-peer.bc-gryy4rew.kr.blockchain.naverncp.com"
}
}
},
"certificateAuthorities": {
"test-ca-******-***-ca.bc-gryy4rew.kr.blockchain.naverncp.com:443": {
"url": "https://test-ca-******-***-ca.bc-gryy4rew.kr.blockchain.naverncp.com:443",
"tlsCACerts": {
"pem": [
"{pem}"
]
}
}
}
}